@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Light.OTF') format('opentype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Medium.OTF') format('opentype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Regular.OTF') format('opentype');
    font-weight: 400;
    font-style: normal;
}

.parent_container * {
    font-family: 'GT America Extended', sans-serif !important;
}


.fontStyle {
    font-family: 'GT America Extended';
    src: url('fonts/GT-America-Extended-Regular.OTF') format('opentype');
    font-weight: 400;
    font-style: normal;
}    


.colers .col1 {
    width: 400px !important;
    border-right: 2px solid #E1E1E1;
}

.colers .col2 {
    width: calc(100% - 400px) !important;
    padding: 0px !important;
}

/* Controls */
.label_select {
    font-size: 16px;
    color: black;
    padding: 0px 0px 0px 12px;
    margin: 0;
}

.dropdown_box {
    width: 93%;

    font-size: 14px;
    color: black;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 7px;
    margin: 0px 0px 15px 7px;
}

/* Custom arrow for the dropdown box */
.custom-select {
    position: relative;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: white;
    padding: 5px 20px 5px 10px;
    border: 1px solid #ccc;
    background-size: 20px auto;
    background-position: right center;
    background-repeat: no-repeat;

    outline: 0;
    margin-bottom: 0;
    border: 1px solid #d2d6dc;
    border-radius: 0.3rem;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
    height: 40px;
    padding: 0 0.7em;
}

.clear_button, .calc_button {
    background-color: #4D4D4D;
    border: 2px solid #4D4D4D;
    color: white;
    padding: 10px;
    border-radius: 4px;
    /* min-width: 95%; */
    width: 100%;
    cursor: pointer;
    
}

.clear_button:hover, .calc_button:hover {
    background-color: #FFFFFF;
    color: #4D4D4D;
}


.parent_container {
    background-color: #ffffff;
    border: 0px solid #E1E1E1;
    border-radius: 6px;
    padding: 20px;
    width: 100%;
    margin: 0px;
}

.spacer_30 {
    margin-bottom: 30px;
}
.spacer_30_top {
    margin-top: 30px;
}

.custom_content {
    padding: 0px;
    border: 0px solid #ccc;
    margin-bottom: 20px;
}

.map-container {
    text-align: right;
    background-color: #FFFFFF;
    /* padding: 0px 20px 0px 15px; */
}

.map {    
    height: 200px;
    /* height: 286px; */
    width: 100%;

    /* border: 2px solid #D6D6D6; */
    border-top: 1px solid #D6D6D6;
    border-right: 1px solid #D6D6D6;
    border-bottom: 0px solid #D6D6D6;
    border-left: 1px solid #D6D6D6;


    /* border-radius: 6px; */
    border-radius: 6px 6px 0px 0px;
    min-height: 300px;

    /* border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    margin-bottom: 0px;
    padding: 10px;
    background-color: #ffffff;
    border: 1px solid #ccc; */
}


/* Styles for legend */
.legend {
    background-color: #FAFAFA;
    border: 1px solid #D7D7D6;
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
    margin-bottom: 0px;
    padding: 10px 20px 0px 0px;
    display: flex;
    justify-content: right;
    flex-wrap: wrap;
}

.legend-title {

    font-size: 13px;
    font-weight: 600;
    margin-top: 1px;
    margin-right: 0px;
    color: #8D8D8D;
    margin-bottom: 10px;
}

.color-box-label {

    font-size: 13px;
    font-weight: 300;
    margin-top: 1px;
    margin-right: 0px;
    color: #8D8D8D;
}

.color-box {
    width: 20px;
    height: 20px;
    margin-top: 0px;
    margin-right: 5px;
    margin-left: 15px;
    border: 1px solid #fff;
}


.chart_legend {
    display: flex;
}

.chart_legend-column {
    flex: 0;
    margin-right: 1px;
}

.chart_legend-item {
    margin-bottom: 1px;
    padding: 1px;
    border: 1px solid #ccc;
    min-width: 100px;
    max-width: 100px;
}


/* --- Dynamic Summary::Start --- */
.dynamic_chart_container {
    background-color: #FAFAFA;
    border: 1px solid #E1E1E1;
    border-radius: 6px;
    padding: 20px;
}

.dynamic_chart_sub_container {
    padding: 10px 0;
    display: flex;
    flex-direction: column;
}

.dynamic_chart_row {
    display: flex;
    margin-bottom: 10px;
}

.dynamic_chart_labels_column {
    flex-basis: 20%;
    padding: 10px;
    border-right: 0px solid black;
}

.summary_title {
    font-size: 20px;
    color: #000000;
    padding: 10px 220px 15px 10px;
}

.summary_title_path {
    font-size: 16px;
    color: #000000;
    padding: 10px 0px 15px 10px;

}

.dynamic_chart {
    display: flex;
}

.dynamic_chart_column_label {

    font-size: 0.8em;
    padding: 3px 0px 5px 10px;
}

.paths_batch {
    display: flex;
    flex-direction: row;
}

.paths_column {
    flex-basis: calc(80% / var(--columns));
    padding: 0px;
}

.dynamic_chart_item {

    font-size: 0.8em;
    padding: 3px 0px 3px 10px;
    border-bottom: 1px solid black;
    max-width: 184px;
}

.dynamic_chart_item_last {
    padding: 3px 0px 3px 10px;
}


.path_line {
    height: 8px;
    width: 150px;
    margin-left: 10px;
}

.path_line_1 {
    background-color: #68FC78;
}

.path_line_2 {
    background-color: #CB8C66;
}

.path_line_3 {
    background-color: #FF00D4;
}

/* --- Dynamic Summary::End --- */


/* HighCharts */
.highchart_container {
    background-color: #FAFAFA;
    border: 1px solid #E1E1E1;
    border-radius: 6px;
    padding: 20px;
    width: 41.5%;
    margin-right: 28px;
}


/* Modal */
.modal-header {
    border: 0px;
}

#modal-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000; /* Ensure the modal appears above the map */
    text-align: center;
}


.flex-container {
    display: flex;
    flex-flow: row wrap;
    padding: 0;
    margin: 0;
    margin-top: 10px;
    list-style: none;

    background-color: #FAFAFA;
    border: 1px solid #E1E1E1;
    border-radius: 6px;
    padding: 20px;
}

.flex-item {
    min-width: 154px; /* 250px; */
    max-width: 430px;
    margin-top: 10px;
    color: #000000;
    font-size: 1em;
    text-align: left;

}

.flex-item_chart {
    margin: auto;
    margin-top: 10px;
    color: #000000;
    font-size: 1em;
    text-align: left;

}

.flex_row_tweak {
    margin: 0px 10px 0px 10px;
}

.chart_container {
    margin-left: 0px;
    margin-right: 16px;
    margin-top: 36px;
}

.custom-swal-top {
    margin-top: 0px !important;
    place-self: start center !important;
}

@media (max-width: 991px) {
    .colers .col1,
    .colers .col2 {
        width: 100% !important;
        border: 0px !important;
        margin: 10px auto !important;
    }
}